Bug 154616 - hal requires libusb but libusb is excluded arch for s390
hal requires libusb but libusb is excluded arch for s390
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-12 22:13 EDT by Geoff O'Callaghan
Modified: 2013-03-05 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-03 16:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
disable requirement for libusb on s390(x) (775 bytes, patch)
2005-04-20 20:48 EDT, Geoff O'Callaghan
no flags Details | Diff
add buildrequires for perl-XML-Parser (968 bytes, patch)
2005-04-20 20:50 EDT, Geoff O'Callaghan
no flags Details | Diff

  None (edit)
Description Geoff O'Callaghan 2005-04-12 22:13:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When trying to install rawhide hal pkg Package hal.s390 0:0.5.0.cvs20050404b-2 set to be updated I get
Error: Missing Dependency: libusb >= 0.1.10a-1 is needed by package hal

libusb rpm doesn't exist for s390 in rawhide so I attempted build from srpm.

rpmbuild -bb libusb.spec 2>&1 > libusb.log
error: Architecture is excluded: s390
Summary: A library which allows userspace access to USB devices.
Name: libusb
Version: 0.1.10a
Release: 1
Source0: http://prdownloads.sourceforge.net/libusb/%{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sourceforge.net/projects/libusb/
BuildRequires: docbook-utils
BuildRequires: docbook-dtds >= 1.0-5
BuildRequires: xorg-x11-devel
ExcludeArch: s390 s390x


Version-Release number of selected component (if applicable):
hal.s390 0:0.5.0.cvs20050404b-2

How reproducible:
Always

Steps to Reproduce:
1.  try installing the rawhide version of hal on a fedora (s390) rawhide system
2.
3.
  

Actual Results:  see description

Expected Results:  package should have been installed - libusb doesn't make sense on s390 or s390x.
I haven't checked to see if hal actually has a requirement for usb that will make it function incorrectly on s390 or whether this is simply a dep that can be removed for s390(x) builds.

Additional info:
Comment 1 David Zeuthen 2005-04-18 11:41:54 EDT
Do you have a patch for the spec file?
Comment 3 Geoff O'Callaghan 2005-04-20 20:48:01 EDT
Created attachment 113450 [details]
disable requirement for libusb on s390(x)

libusb doesn't make sense on s390(x) and libusb is excludedarch so there is no
point requiring it for hal.  This patch disables the requirement for s390(x)
Comment 4 Geoff O'Callaghan 2005-04-20 20:50:07 EDT
Created attachment 113451 [details]
add buildrequires for perl-XML-Parser

I noticed during testing of the previous patch I submitted that perl-XML-Parser
was actually required for builds so this patch adds the buildrequires.
Comment 5 Geoff O'Callaghan 2005-04-20 20:52:48 EDT
sorry about the delay - I had a few corrupted fs's (unrelated to this bug) to
take care of..
Comment 6 David Zeuthen 2005-05-03 16:40:11 EDT
I think this is actually now fixed with 0.5.1-1 otherwise please reopen. The
perl-XML-Parser buildrequire is bogus - intltool should drag in perl-XML-Parser
if it needs it.

Note You need to log in before you can comment on or make changes to this bug.